al_get_touch_input_mouse_emulation_event_source(3)

NAME

al_get_touch_input_mouse_emulation_event_source - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    ALLEGRO_EVENT_SOURCE *al_get_touch_input_mouse_emulation_event_source(void)

DESCRIPTION

Returns the global touch input event source for emulated mouse events. This event source generates [emulated mouse events]ALLEGRO_EVENT_MOUSE_AXES(3) that are based on touch events.

SEE ALSO

ALLEGRO_EVENT_SOURCE(3), al_register_event_source(3)

SINCE

5.1.0

    [Unstable API]: Seems of limited value, as touch input tends to have different semantics compared to mouse input.